RESTinio

Public Types | Static Public Attributes | List of all members
restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum > Struct Template Reference

`#include <overflow_controlled_integer_accumulator.hpp>`

## Public Types
using | storage_type = std::make_unsigned_t< T >

## Static Public Attributes
static constexpr storage_type | value

## Detailed Description

template<typename T>
struct restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum >

Definition at line 71 of file overflow_controlled_integer_accumulator.hpp.

## Member Typedef Documentation

## ◆ storage_type

template<typename T >

using restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum >::storage_type = std::make_unsigned_t<T>

Definition at line 77 of file overflow_controlled_integer_accumulator.hpp.

## Member Data Documentation

## ◆ value

template<typename T >

constexpr storage_type restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum >::value
| static constexpr

Initial value:
= static_cast<storage_type>(
std::numeric_limits<T>::min() )
restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum >::storage_type
std::make_unsigned_t< T > storage_type
Definition: overflow_controlled_integer_accumulator.hpp:77

Definition at line 79 of file overflow_controlled_integer_accumulator.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/overflow_controlled_integer_accumulator.hpp